These are chat archives for opal/opal

2nd
Jun 2016
Doug Orleans
@dougo
Jun 02 2016 01:28
I'm having a problem using opal-vienna in production mode, it dies when I try to require 'vienna'. Is opal-vienna still supported? seems inactive for a couple years
I think it's because lib/opal/vienna.rb is adding ../../opal to the Opal path, but not the Ruby load path.
meh.
@meh
Jun 02 2016 01:30
dougo, it was adambeynon's, whom disappeared, pretty sure you're out of luck there
Colin Gunn
@balmoral
Jun 02 2016 01:31
This message was deleted
Doug Orleans
@dougo
Jun 02 2016 01:35
bummer
hm, looks like adding it to the Ruby path won't work because then it tries to require 'native'.
Doug Orleans
@dougo
Jun 02 2016 01:40
well actually I don't know why it can't require 'native', seems like it should be able to.
I don't know why this works fine in development and test but breaks in production. Kind of annoying...
Doug Orleans
@dougo
Jun 02 2016 15:02
Er wait, why is it even trying to run my Opal code in Ruby at all??
Doug Orleans
@dougo
Jun 02 2016 15:13
Aha, for some reason app/assets is on the eager_load_paths of my engine.
ylluminate
@ylluminate
Jun 02 2016 17:52
ylluminate
@ylluminate
Jun 02 2016 18:54
can't believe the controversy going on there right now!
you can literally keep refreshing the page and watch the votes pop up and down
Jamie Gaskins
@jgaskins
Jun 02 2016 18:58
Dat top comment, tho
ylluminate
@ylluminate
Jun 02 2016 19:02
lol, this one has been jumping up and down like a friggin' trampoline. i've seen it go from 10 down to 3 and then back up to 8, now down to 6. Crazy how polarizing Opal is!
i know you're holding back @ylluminarious, but really appreciated your remark.
Doug Orleans
@dougo
Jun 02 2016 20:50
What's the status of opal-rails? any schedule for when it will support Opal 0.9 and Rails 5?
Mitch VanDuyn
@catmando
Jun 02 2016 20:57
I think it does :-)
@adamcreekroad is using it...
Doug Orleans
@dougo
Jun 02 2016 22:25
but not the latest gem release.
Mitch VanDuyn
@catmando
Jun 02 2016 23:05
yeah maybe your right...
Jamie Gaskins
@jgaskins
Jun 02 2016 23:23
Yeah, i have to keep using the GitHub repo in my Gemfiles